<template>
    <div>
        <table class="table table-hover" v-if="sprints && sprints.length>0">
            <thead>
                <tr>
                    <th>Titre</th>
                    <th>Date estimée début</th>
                    <th>Date estimée fin</th>
                    <th>Commentaire</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(sprint,index) in sprints">
                    <td>{{sprint.title}}</td>
                    <td>{{sprint.startDate | formatdate}}</td>
                    <td>{{sprint.endDate | formatdate}}</td>
                    <td>{{sprint.comment}}</td>
                    <td>
                        <button class="btn btn-primary float-right but" v-on:click="edit(index)">Modifier</button>
                        <button class="btn btn-secondary float-right but" v-on:click="userStory(index)">User Stories</button>
                    </td>
                </tr>
    
            </tbody>
        </table>
            <h2 v-else> Aucun sprint a afficher</h2>
    </div>
</template>

<script>
export default {
    props: ['sprints'],
    methods: {
        edit(index) {
            this.$emit('edit', index);
        },
        userStory(index) {
            this.$emit('userStory', index);
        }
    }
}
</script>

<style>

</style>
